### Hierarchy

- SVGPathSegList

## Index

### Properties

- numberOfItems

### Methods

- appendItem
- clear
- getItem
- initialize
- insertItemBefore
- removeItem
- replaceItem

## Properties

### numberOfItems

numberOfItems: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13499

## Methods

### appendItem

- appendItem(newItem: SVGPathSeg): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13500

  #### Parameters

  - ##### newItem: SVGPathSeg

  #### Returns SVGPathSeg

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13501

  #### Returns void

### getItem

- getItem(index: number): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13502

  #### Parameters

  - ##### index: number

  #### Returns SVGPathSeg

### initialize

- initialize(newItem: SVGPathSeg): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13503

  #### Parameters

  - ##### newItem: SVGPathSeg

  #### Returns SVGPathSeg

### insertItemBefore

- insertItemBefore(newItem: SVGPathSeg, index: number): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13504

  #### Parameters

  - ##### newItem: SVGPathSeg

  - ##### index: number

  #### Returns SVGPathSeg

### removeItem

- removeItem(index: number): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13505

  #### Parameters

  - ##### index: number

  #### Returns SVGPathSeg

### replaceItem

- replaceItem(newItem: SVGPathSeg, index: number): SVGPathSeg

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13506

  #### Parameters

  - ##### newItem: SVGPathSeg

  - ##### index: number

  #### Returns SVGPathSeg

Generated using TypeDoc